# Module edoc_report

EDoc verbosity/error reporting.

Copyright © 2001-2003 Richard Carlsson

- Description
- Function Index
- Function Details

Authors: Richard Carlsson (`richardc@csd.uu.se`).

See also: edoc.

## Description

EDoc verbosity/error reporting.

## Function Index

error/1 |
error/2 |
error/3 |
report/2 |
report/3 |
report/4 |
warning/1 |
warning/2 |
warning/3 |
warning/4 |

## Function Details

### error/1

`error(What) -> term()`

### error/2

`error(Where, What) -> term()`

### error/3

`error(Line, Where, S) -> term()`

### report/2

`report(S, Vs) -> term()`

### report/3

`report(Where, S, Vs) -> term()`

### report/4

`report(L, Where, S, Vs) -> term()`

### warning/1

`warning(S) -> term()`

### warning/2

`warning(S, Vs) -> term()`

### warning/3

`warning(Where, S, Vs) -> term()`

### warning/4

`warning(L, Where, S, Vs) -> term()`